import { useSearchParams } from "react-router-dom";
import CodeManageSearchBase from "./components/CodeManageSearchBase";
import CodeManageDisplay from "./components/CodeMangeDisplay";
import { useCodeManageContext } from "./CodeManageContext";
import { useEffect, useState } from "react";
export default function CodeManageLayout() {
    const [searchParams] = useSearchParams();
    const { setSearchKeyword, searchRefetch, setCurrentPage } = useCodeManageContext();
    const [localKeyword, setLocalKeyword] = useState("");
    
    useEffect(() => {
        const keyword = searchParams.get('keyword');
        if (keyword) {
            setSearchKeyword(keyword);
            setLocalKeyword(keyword);
            setCurrentPage(1);
            searchRefetch();
        }
    }, [searchParams, setSearchKeyword, setCurrentPage, searchRefetch]);
    return (
        <div className="max-w-[1100px] mx-auto h-[100vh]">
            <CodeManageSearchBase keyword={localKeyword}></CodeManageSearchBase>
            <CodeManageDisplay></CodeManageDisplay>
        </div>
    )
}