import { motion } from 'framer-motion';
// 活动项组件
interface ActivityItemProps {
    icon: React.ReactNode;
    time: string;
    ip: string;
    filename: string;
    filesize: string;
    code: string;
}

export default function ActivityItem({ icon, time, ip ,filename, filesize, code }: ActivityItemProps) {
    return (
        <motion.div 
            className="flex items-center py-2"
            initial={{ opacity: 0, x: -10 }}
            animate={{ opacity: 1, x: 0 }}
            transition={{ duration: 0.3 }}
        >
            <div className="flex-shrink-0 w-8 h-8 bg-gray-100 rounded-full flex items-center justify-center mr-3">
                {icon}
            </div>
            <div className="flex-grow">
                <div className='text-gray-500'>
                    来自<span className='text-red-500'>{ip}</span>的用户
                    上传了文件：<span className='text-blue-500'>"{filename}"</span>，
                    文件大小：<span className='text-gray-500'>{filesize}MB</span>，
                    分享码：<span className='text-primary-900'>{code}</span>
                </div>
                <div className="text-gray-400 text-xs">{time}</div>
            </div>
        </motion.div>
    );
}